import { ComponentInterface, EventEmitter } from '../../stencil-public-runtime';
import { IndexResult, SearchIndex } from '../algolia/algolia-interface';
import { NanoAlgoliaResultsCustomEvent } from '../../components';
/**
 * Nanopore Global Search results component
 * to be used in conjunction with [Globla-Nav](/story/nano-compounds-global-nav).
 * A shortcut / helper which combines algolia components.
 * There should only be one <nano-global-search-results> per page
 * and should be a direct child of <nano-global-nav>
 */
export declare class GlobalSearchResults implements ComponentInterface {
    private algoliaResultsEle;
    private filtersDiv;
    private openFilterBtn;
    private ro;
    private searchResultId;
    private queryId;
    private globalNav;
    algoliaResults: IndexResult;
    algoliaEle: HTMLNanoAlgoliaElement;
    currentWidth: number;
    apiKey: string;
    appId: string;
    index: SearchIndex;
    private el;
    /**
     * Fired when the user clicks the 'back' button / closes the search panel
     * Calling `event.preventDefault()` will prevent it from being closed.
     */
    nanoSearchGoBack: EventEmitter;
    handleAlgoliaCredsChange(): void;
    handleAlgoliaIndexChange(): void;
    handleAlgoliaEleChange(): void;
    private handleGlobalNavReset;
    private handleGlobalNavSearch;
    private handleNanoFilterChanged;
    handleReorder(e: CustomEvent & {
        target: HTMLNanoSelectElement;
    }): void;
    attachListeners(e: NanoAlgoliaResultsCustomEvent<{
        meta: IndexResult;
        client: {
            apiKey: string;
            appId: string;
        };
    }>): void;
    attachResultListeners(e?: NanoAlgoliaResultsCustomEvent<IndexResult>): void;
    onDocNanoSearchResult(e: CustomEvent): void;
    onDocNanoSearchReset(e: CustomEvent): void;
    /** Manually close the search panel */
    closeSearch(clearHistory?: boolean): Promise<void>;
    private resultClick;
    private showFiltersClick;
    private removeFilterClick;
    private tagClick;
    private changeOrder;
    private goback;
    private removeFilter;
    private removeAllFilters;
    private closefilters;
    private toggleOldResults;
    componentWillLoad(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentDidLoad(): void;
    render(): any;
}
